Bug 1144079 - local engine-reports-setup does not write conf file to allow accessing reports from engine
Summary: local engine-reports-setup does not write conf file to allow accessing report...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-reports
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Yedidyah Bar David
QA Contact: Petr Matyáš
URL:
Whiteboard: integration
Depends On: 1142256 1152232
Blocks: 1073943 1122582
TreeView+ depends on / blocked
 
Reported: 2014-09-18 15:15 UTC by Yaniv Lavi
Modified: 2014-12-15 15:07 UTC (History)
13 users (show)

Fixed In Version: oVirt-3.5 GA ovirt-engine-reports-3.5.0-1.fc19.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Clone Of: 1142256
Environment:
Last Closed: 2014-10-17 12:28:34 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32989 master ABANDONED packaging: setup: write reports conf Never
oVirt gerrit 33148 master MERGED packaging: setup: config engine to access reports Never
oVirt gerrit 33238 ovirt-engine-reports-3.5 MERGED packaging: setup: config engine to access reports Never
oVirt gerrit 33266 master MERGED packaging: setup: fix link to dashboard Never
oVirt gerrit 33269 ovirt-engine-reports-3.5 MERGED packaging: setup: fix link to dashboard Never

Description Yaniv Lavi 2014-09-18 15:15:57 UTC
+++ This bug was initially created as a clone of Bug #1142256 +++

Description of problem:

Following bug #1116851 , the engine expects in its configuration files a new setting ENGINE_REPORTS_BASE_URL, and other related settings, instead of a row in vdc_options.

The engine now also expects the certificate of reports to be in its truststore.

engine-setup, if running engine and reports on same host, should create such a file and update the truststore, and if not, ask the user to do that.

--- Additional comment from Yedidyah Bar David on 2014-09-16 09:01:47 EDT ---

workaound: do this manually after setup. E.g.:

Create a file /etc/ovirt-engine/engine.conf.d/10-my-reports.conf with this content:

ENGINE_REPORTS_BASE_URL=https://REPORTS_FQDN/ovirt-engine-reports
ENGINE_REPORTS_DASHBOARD_URL=${ENGINE_REPORTS_BASE_URL}/flow.html?viewAsDashboardFrame=true
ENGINE_REPORTS_PROXY_URL=${ENGINE_REPORTS_BASE_URL}/ovirt/reports-interface
ENGINE_REPORTS_VERIFY_HOST=true
ENGINE_REPORTS_VERIFY_CHAIN=true
ENGINE_REPORTS_READ_TIMEOUT=

replace above REPORTS_FQDN with the fqdn of the reports server (same as engine if on same server).

Imported reports cert to truststore with the following command:

keytool -importcert -alias reportscacert -file /etc/pki/ovirt-engine/certs/reports.cer -keystore /etc/pki/ovirt-engine/.truststore -storepass mypass

If on remote host, replace above '/etc/pki/ovirt-engine/certs/reports.cer' with a file name containing the reports cert.

service ovirt-engine restart

--- Additional comment from Yedidyah Bar David on 2014-09-16 09:03:51 EDT ---

(In reply to Yedidyah Bar David from comment #1)
> workaound: do this manually after setup. E.g.:
> 
> Create a file /etc/ovirt-engine/engine.conf.d/10-my-reports.conf with this
> content:
> 
> ENGINE_REPORTS_BASE_URL=https://REPORTS_FQDN/ovirt-engine-reports
> ENGINE_REPORTS_DASHBOARD_URL=${ENGINE_REPORTS_BASE_URL}/flow.
> html?viewAsDashboardFrame=true

Sorry, this should be:

ENGINE_REPORTS_DASHBOARD_URL=${ENGINE_REPORTS_BASE_URL}/flow.html?viewReportFlow=true

> ENGINE_REPORTS_PROXY_URL=${ENGINE_REPORTS_BASE_URL}/ovirt/reports-interface
> ENGINE_REPORTS_VERIFY_HOST=true
> ENGINE_REPORTS_VERIFY_CHAIN=true
> ENGINE_REPORTS_READ_TIMEOUT=
> 
> replace above REPORTS_FQDN with the fqdn of the reports server (same as
> engine if on same server).
> 
> Imported reports cert to truststore with the following command:
> 
> keytool -importcert -alias reportscacert -file
> /etc/pki/ovirt-engine/certs/reports.cer -keystore
> /etc/pki/ovirt-engine/.truststore -storepass mypass
> 
> If on remote host, replace above '/etc/pki/ovirt-engine/certs/reports.cer'
> with a file name containing the reports cert.
> 
> service ovirt-engine restart

--- Additional comment from Shirly Radco on 2014-09-16 09:32:01 EDT ---

Barak, Arthur,

This means that 3.5 will require the workaround in order to setup reports in local and remote installations.

Do you approve?

--- Additional comment from Barak on 2014-09-16 09:44:54 EDT ---

This should definitely make it to 3.5.1,
From my point of view this is a must.

--- Additional comment from Yedidyah Bar David on 2014-09-17 01:51:28 EDT ---

Current http://gerrit.ovirt.org/32989 is on engine side, works only if both are on same host. Another patch will be required on reports side when it's remote.

Comment 1 Sandro Bonazzola 2014-10-17 12:28:34 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.